<?php

namespace Shopware\CustomModels\AduInkasso;
use Shopware\Components\Model\ModelRepository;

/**
 * Die ShopwareAG wünscht überall Kommentare, dies ist ein Kommentar.
 * Class Repository
 * @package Shopware\CustomModels\AduInkasso
 */
class Repository extends ModelRepository
{
    /**
     * Die ShopwareAG wünscht überall Kommentare, dies ist ein Kommentar.
     * @param $customerId
     * @return Bonitaetdatensatz|null
     */
    public function getLastByCustomer($customerId) {
       $all = $this->findBy(array('customerId'=>$customerId),array('abfrage_datum'=>'DESC'),1);
        if ( count($all) <= 0 ) return null;
        return $all[0];
    }

    /**
     * Die ShopwareAG wünscht überall Kommentare, dies ist ein Kommentar.
     * @param $customerId
     * @return mixed|null
     */
    public function getLastSuccessfullByCustomer($customerId) {
        $query = $this->createQueryBuilder('b');
        $query->select('b');
        $query->setMaxResults(1);
        $query->orderBy('b.abfrage_datum','DESC');
        $query->where('b.customerId = :cid');
        $query->andWhere('b.score != 0');

        try {
            return $query->getQuery()->setParameter('cid',$customerId)->getSingleResult();
        } catch ( \Exception $e ) {
            return null;
        }
    }
}