//{namespace name="backend/AduInkasso/main"}
//{block name="backend/AduInkasso/view/window"}
Ext.define('Shopware.apps.AduInkasso.view.Window', {
    // Erweitert Ext.app.Window
    extend: 'Enlight.app.Window',

    alias: 'widget.aduinkasso-view-window',

    layout: 'fit',

    width: 860,
    height: '90%',

    stateful: true,
    stateId: 'shopware-aduinkasso-view-window',

    title: 'ADU-Inkasso',

    mainStore: null,

    initComponent: function () {
        var me = this;
        me.items = [
            {
                xtype: 'tabpanel',
                items: [
                    {
                        xtype: 'aduinkasso-view-grid',
                        store: me.mainStore
                    },
                    {
                        xtype: 'aduinkasso-view-detailformular',
                        hidden: true
                    }
                ]
            }
        ];
        me.callParent(arguments);
    }

});
//{/block}