//{block name="backend/customer/controller/detail" append}
Ext.define('Shopware.apps.Customer.controller.detail.customer_preferences.Detail', {

    override: 'Shopware.apps.Customer.controller.Detail',

    init: function () {
        var me = this;

        me.callParent(arguments);

        me.control({
            'grid[name=adu-inkasso-score-detail-grid]': {
                itemclick: me.onItemClick
            },
            'customer-list': {
                cellclick: me.openUserBoniDetail
            }
        });
    },

    openUserBoniDetail: function (table, td, cellIndex, record, tr, rowIndex, e, eOpts) {
        var fieldName = table.getGridColumns()[cellIndex].dataIndex;

        if (fieldName == 'adu_score_value') {
            Shopware.app.Application.addSubApplication({
                name: 'Shopware.apps.Customer',
                action: 'boni_detail',
                params: {
                    customerId: record.get('id')
                }
            });
        }
    },

    onItemClick: function (view, record, item, rowIndex, event, options) {
        var me = this;
        var panel = view.up('window').down('component[name=adu-inkasso-customer-detail-score-field]');

        panel.update(record.data);
    }

});
//{/block}