//{block name="backend/customer/view/list/list" append}
Ext.define('Shopware.apps.Customer.view.list.List.adu_inkasso.List', {

    override: 'Shopware.apps.Customer.view.list.List',

    getColumns: function () {
        var me = this;

        var columns = me.callParent(arguments);

        var columnSize = {
            header: 'Score',
            tooltip: 'Zusatzinformationen zum Score',
            dataIndex: 'adu_score_value',
            flex: 1,
            renderer: function (value, a, t) {
                return AduInkasso.Helper.getScoreLightRendered(value, t.get('adu_score_abfrage_datum'),a)
            }
        };

        return Ext.Array.insert(columns, 8, [columnSize]);
    }
});
//{/block}