<?php

/**
 * Die ShopwareAG wünscht überall Kommentar, dies ist ein Kommentar.
 * Class Shopware_Controllers_Backend_AduInkasso
 */
class Shopware_Controllers_Backend_AduInkassoAuskuenfte extends Shopware_Controllers_Backend_Application
{
    protected $model = 'Shopware\CustomModels\AduInkasso\Bonitaetdatensatz';
    protected $alias = 'bonitaetdatensatz';

    protected function getListQuery()
    {
        $builder = parent::getListQuery();
        $builder->select('bonitaetdatensatz.customerId','bonitaetdatensatz.score','bonitaetdatensatz.abfrage_datum','u.lastName')
        ->leftJoin('Shopware\Models\Customer\Billing', 'u',\Doctrine\ORM\Query\Expr\Join::WITH,
            'bonitaetdatensatz.customerId = u.id');
        return $builder;
    }
}