// Smarty-Block zur späteren Erweiterung der Applikation
//{block name="backend/AduinkassoForderungsmanagement/application"}
Ext.define('Shopware.apps.AduInkasso', {
    name:'Shopware.apps.AduInkasso',

    extend:'Enlight.app.SubApplication',

    bulkLoad:true,

    loadPath:'{url action=load}',

    controllers:[ 'Main' ],

    views:[
        'Window',
        'Grid',
        'DetailFormular',
        'DetailGridForderungen',
        'DetailGridGutschriften',
        'DetailGridZusatzkosten',
        'DetailGridVorgaenge',
        'DetailWindowGutschriften',
        'DetailWindowZusatzkosten'
    ],

    stores:[ 'Akten', 'Forderungen', 'Gutschriften', 'Vorgaenge', 'Zusatzkosten' ],

    models:[ 'Akten', 'Forderung', 'Gutschrift', 'Vorgang', 'Zusatzkosten' ],

    launch: function() {
        var me = this,
            mainController = me.getController('Main');

        return mainController.mainWindow;
    }
});
//{/block}