//{block name="backend/risk_management/store/risks" append}
Ext.define('Shopware.apps.RiskManagement.store.adu_inkasso.Risks', {
    override: 'Shopware.apps.RiskManagement.store.Risks',

    constructor: function () {
        var me = this;

        var data = me.data;

        var hasADU = false;

        var ADUKey = 'ADUINKASSO';
        var ADUKey1 = 'ADUINKASSOPU';
        var ADUKey2 = 'ADUINKASSOPUAB';
        var ADUKey3 = 'ADUINKASSOPAB';
        var ADUKey4 = 'ADUINKASSOPAA';
        var ADUKey5 = 'ADUINKASSOMPB';

        for ( var i in data ) {
            if ( data[i].value == ADUKey || data[i].value == ADUKey1 || data[i].value == ADUKey2 || data[i].value == ADUKey3 || data[i].value == ADUKey4 || data[i].value == ADUKey5) {
                hasADU = true;
            }
        }

        if ( !hasADU ) {
            me.data.push({ description: 'ADU-Inkasso Scorewert >=', value: ADUKey});
            me.data.push({ description: 'ADU-Inkasso Person unbekannt ', value: ADUKey1});
            me.data.push({ description: 'ADU-Inkasso Person unbekannt/Anschrift bekannt', value: ADUKey2});
            me.data.push({ description: 'ADU-Inkasso Person und Anschrift bekannt', value: ADUKey3});
            me.data.push({ description: 'ADU-Inkasso Person/Anschrift abweichend', value: ADUKey4});
            me.data.push({ description: 'ADU-Inkasso Mehrere Personen bekannt', value: ADUKey5});
        }
        me.callParent(arguments);
    }
});
//{/block}